Bug 527046 - Review Request: perl-Tk-ObjScanner - Tk data scanner
Review Request: perl-Tk-ObjScanner - Tk data scanner
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516281
  Show dependency treegraph
 
Reported: 2009-10-03 13:23 EDT by Emmanuel Seyman
Modified: 2010-01-31 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.012-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-31 20:10:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-10-03 13:23:54 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Tk-ObjScanner/perl-Tk-ObjScanner.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Tk-ObjScanner/perl-Tk-ObjScanner-2.012-1.fc11.src.rpm
Description:
This perl module provides a GUI to scan the attributes of an object. It can
also be used to scan the elements of a hash or an array.
Comment 1 Thomas Janssen 2009-10-04 09:10:16 EDT
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

The README says: This program is free software; you can redistribute it and/or
 modify it under the same terms as Perl itself.

http://dev.perl.org/licenses/

So it's: GPLv2+ or Artistic

MUST: rpmlint must be run on every package. The output should be posted in the review.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Emmanuel Seyman 2009-10-04 12:04:28 EDT
(In reply to comment #1)
>
> http://dev.perl.org/licenses/
> So it's: GPLv2+ or Artistic

No. Perl is licensed under GPLv1 or later and the Artistic license.
It should be "GPL+ or Artistic". See the perl packaging guidelines for details.
https://fedoraproject.org/wiki/Packaging:Perl

> MUST: rpmlint must be run on every package. The output should be posted in the
> review.

???
You are doing the review, not me.
Comment 3 Thomas Janssen 2009-10-04 12:41:15 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >
> > http://dev.perl.org/licenses/
> > So it's: GPLv2+ or Artistic
> 
> No. Perl is licensed under GPLv1 or later and the Artistic license.
> It should be "GPL+ or Artistic". See the perl packaging guidelines for details.
> https://fedoraproject.org/wiki/Packaging:Perl
> 
> > MUST: rpmlint must be run on every package. The output should be posted in the
> > review.
> 
> ???
> You are doing the review, not me.  

My bad, i wasn't aware of the Packaging:Perl page (i should/will check about other pages as well) and i learned that the packager has to provide the rpmlint output as well.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Iain Arnell 2010-01-17 03:58:39 EST
+ source files match upstream.  
  35702d85347357a2f9dad7284dc17ba1  Tk-ObjScanner-2.012.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1927836

+ package installs properly.
+ rpmlint has no complaints:
  perl-Tk-ObjScanner.noarch: I: checking
  perl-Tk-ObjScanner.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Tk::ObjScanner) = 2.12
  perl-Tk-ObjScanner = 2.012-1.fc13
=
  perl >= 0:5.006
  perl(:MODULE_COMPAT_5.10.1)  
  perl(Carp)  
  perl(Data::Dumper)  
  perl(Scalar::Util)  
  perl(Tk::Derived)  
  perl(Tk::Frame)  
  perl(strict)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  rpmlib(PayloadIsXz) <= 5.2-1

+ %check is present and all tests pass.
  tests are X-based (ughh!) so not run automatically

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Emmanuel Seyman 2010-01-17 04:21:15 EST
(In reply to comment #4)
> 
> APPROVED    

Thanks for the review, Ian! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Tk-ObjScanner
Short Description: Tk data scanner
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 6 Jason Tibbitts 2010-01-19 13:02:45 EST
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-01-19 14:56:00 EST
perl-Tk-ObjScanner-2.012-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Tk-ObjScanner-2.012-1.fc12
Comment 8 Fedora Update System 2010-01-19 14:56:05 EST
perl-Tk-ObjScanner-2.012-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Tk-ObjScanner-2.012-1.fc11
Comment 9 Fedora Update System 2010-01-20 19:08:13 EST
perl-Tk-ObjScanner-2.012-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-ObjScanner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0835
Comment 10 Fedora Update System 2010-01-20 19:08:19 EST
perl-Tk-ObjScanner-2.012-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Tk-ObjScanner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0836
Comment 11 Fedora Update System 2010-01-31 20:10:29 EST
perl-Tk-ObjScanner-2.012-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-01-31 20:17:38 EST
perl-Tk-ObjScanner-2.012-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.